const mysql = require('mysql2');

document.getElementById('conectar').addEventListener('click', function () {
    const connection = mysql.createConnection({
        host: 'finan.vps-kinghost.net',
        user: 'finan_root',
        password: '@1q2w3e4r!',
        database: 'dbvalesol'
    });

    connection.connect(function (err) {
        if (err) {
            console.error('Erro ao conectar ao MySQL:', err);
            return;
        }

        connection.query('SELECT * FROM tblempresas', function (err, results, fields) {
            if (err) {
                console.error('Erro ao executar a consulta SQL:', err);
                return;
            }

            const resultadoDiv = document.getElementById('resultado');
            resultadoDiv.innerHTML = JSON.stringify(results);
        });
    });
});
